%global shortname srtp

Summary:       An implementation of the Secure Real-time Transport Protocol (SRTP)
Name:          libsrtp
Version:       2.5
Release:       1%{?dist}
License:       BSD
URL:           https://github.com/cisco/libsrtp
Source0:       %{url}/archive/v%{version}.tar.gz

Patch3000:     libsrtp-2.3.0-shared-fix.patch
Patch3002:     libsrtp-2.3.0-shared-test-fix.patch

BuildRequires: gcc nss-devel libpcap-devel make

%description
This package provides an implementation of the Secure Real-time Transport Protocol (SRTP),
the Universal Security Transform (UST), and a supporting cryptographic kernel.

%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release} pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package tools
Summary:    Tools for testing and decoding SRTP
Requires:    %{name} = %{version}-%{release}

%description tools
Tools for testing and decoding SRTP

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CFLAGS="%{optflags} -fPIC"
%configure --enable-nss
make %{?_smp_mflags} shared_library test

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

install -D -p -m 0755 test/dtls_srtp_driver %{buildroot}%{_bindir}/dtls_srtp_driver
install -D -p -m 0755 test/rdbx_driver %{buildroot}%{_bindir}/rdbx_driver
install -D -p -m 0755 test/replay_driver %{buildroot}%{_bindir}/replay_driver
install -D -p -m 0755 test/roc_driver %{buildroot}%{_bindir}/roc_driver
install -D -p -m 0755 test/rtp_decoder %{buildroot}%{_bindir}/rtp_decoder
install -D -p -m 0755 test/rtpw %{buildroot}%{_bindir}/rtpw
install -D -p -m 0755 test/srtp_driver %{buildroot}%{_bindir}/srtp_driver
install -D -p -m 0755 test/test_srtp %{buildroot}%{_bindir}/test_srtp

%files
%license LICENSE
%doc CHANGES README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/%{shortname}2/
%{_libdir}/pkgconfig/libsrtp2.pc
%{_libdir}/*.so

%files tools
%{_bindir}/*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 2.5-1
- Upgrade to version 2.5

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Shuo Wang <abushwang@tencent.com> - 2.3.0-1
- initial build

